flink-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FLINK-4118) The docker-flink image is outdated (1.0.2) and can be slimmed down
Date Thu, 30 Jun 2016 15:07:10 GMT

    [ https://issues.apache.org/jira/browse/FLINK-4118?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15357224#comment-15357224
] 

ASF GitHub Bot commented on FLINK-4118:
---------------------------------------

Github user iemejia commented on a diff in the pull request:

    https://github.com/apache/flink/pull/2176#discussion_r69150030
  
    --- Diff: flink-contrib/docker-flink/README.md ---
    @@ -1,80 +1,75 @@
    -#Apache Flink cluster deployment on Docker using Docker-Compose
    +Apache Flink cluster deployment on docker using docker-compose
     
    -##Installation
    -###Install Docker
    +# Installation
     
    +Install the most recent stable version of docker
     https://docs.docker.com/installation/
     
    -if you have issues with Docker-Compose versions incompatible with your version of Docker
try
    +Install the most recent stable version of docker-compose
    +https://docs.docker.com/compose/install/
     
    -`curl -sSL https://get.docker.com/ubuntu/ | sudo sh`
    +# Build
     
    -###Install Docker-Compose
    +Images are based on the official Java Alpine (OpenJDK 8) image and run
    +supervisord to stay alive when running containers. If you want to build the
    +flink image run:
     
    -```
    -curl -L https://github.com/docker/compose/releases/download/1.1.0/docker-compose-`uname
-s`-`uname -m` > /usr/local/bin/docker-compose
    +    sh build.sh
     
    -chmod +x /usr/local/bin/docker-compose
    -```
    -
    -###Get the repo
    -
    -###Build the images
    +or
     
    -Images are based on Ubuntu Trusty 14.04 and run Supervisord to stay alive when running
containers.
    +    docker build -t "flink" flink
    --- End diff --
    
    Nice catch, just fixed :)


> The docker-flink image is outdated (1.0.2) and can be slimmed down
> ------------------------------------------------------------------
>
>                 Key: FLINK-4118
>                 URL: https://issues.apache.org/jira/browse/FLINK-4118
>             Project: Flink
>          Issue Type: Improvement
>            Reporter: Ismaël Mejía
>            Priority: Minor
>
> This issue is to upgrade the docker image and polish some details in it (e.g. it can
be slimmed down if we remove some unneeded dependencies, and the code can be polished).



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message